Package org.springframework.jmx

# Class MBeanServerNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.jmx.JmxException
org.springframework.jmx.MBeanServerNotFoundException

All Implemented Interfaces:
  `Serializable`

public class MBeanServerNotFoundException extends JmxException
Exception thrown when we cannot locate an instance of an `MBeanServer`, or when more than one instance is found.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  - `JmxUtils.locateMBeanServer()`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MBeanServerNotFoundException(String msg)`
Create a new `MBeanServerNotFoundException` with the supplied error message.
`MBeanServerNotFoundException(String msg, Throwable cause)`
Create a new `MBeanServerNotFoundException` with the specified error message and root cause.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MBeanServerNotFoundException

public MBeanServerNotFoundException(String msg)
Create a new `MBeanServerNotFoundException` with the supplied error message.

Parameters:
  `msg` - the error message

### MBeanServerNotFoundException

public MBeanServerNotFoundException(String msg, Throwable cause)
Create a new `MBeanServerNotFoundException` with the specified error message and root cause.

Parameters:
  `msg` - the error message
  `cause` - the root cause